# DarAuthority: dag
# DarContact: Peter Andreasen <pandr@pandr.dk>

Summary: A markup-language based presentation tool.
Name: pointless
Version: 0.5
Release: 2.dag
License: GPL
Group: Applications/Productivity
URL: http://pointless.dk/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://prdownloads.sourceforge.net/pointless/pointless-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: XFree86-Mesa-libGL, XFree86-devel, libpng-devel, zlib-devel, python >= 2.2
Requires: python >= 2.2

%description
Pointless is a presentation tool primarily targeted at the un*x world.
Presentations are made using a simple markup-language (best described
as a mix between TeX and Pod, and affectionately known as "The
Pointless Language").

The resulting slideshow is rendered using FreeType and OpenGL for
optimal visual quality. Hardware accelerated OpenGL is highly
recommended but not required in order to run pointless.

%prep
%setup

%build
%configure \
	--disable-dependency-tracking
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall \
	libdir="%{buildroot}%{_datadir}/pointless/lib/python/pointless"

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/libpointless.la

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS PLANS README TODO
%doc %{_mandir}/man?/*
%config %{_sysconfdir}/*
%{_bindir}/*
%{_datadir}/pointless/

%changelog
* Mon Feb 16 2004 Dag Wieers <dag@wieers.com> - 0.5-2
- Fixed the libdir problem. (Stphane Lentz)

* Sat Jan 31 2004 Dag Wieers <dag@wieers.com> - 0.5-1
- Updated to release 0.5.

* Thu Jan 08 2004 Dag Wieers <dag@wieers.com> - 0.5-0.pre1
- Updated to release 0.5-pre1.

* Sun Aug 03 2003 Dag Wieers <dag@wieers.com> - 0.4-0
- Initial package. (using DAR)
